Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations cowski on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Recent content by MSPBenson

  1. MSPBenson

    How bad is the performance hit with hyperthreading enabled?

    Hyper threading is just a way for the processor to 'fool' the OS in thinking it has twice as many cores. It splits the CPU into 2 virtual cores and reduces the amount these cores can process to roughly 1/2 of the original CPU. This is great if your programs can use multiple cores. To use...
  2. MSPBenson

    How bad is the performance hit with hyperthreading enabled?

    I've not double checked actual figures in a while, however, previously I found a serious hit in performance with hyper-threading. This is because the majority of commands in NX are not multi thread. Hyper-threading effectively divides the cores of your processor in half. If you look in windows...
  3. MSPBenson

    Sewing command will not work...

    Try the 'patch' function. This combines sheets with solids. Mark Benson Aerodynamic Model Designer To a Designer, the glass was right on CAD.
  4. MSPBenson

    Transform Command NX8 - NX10

    John, What about the loss of functionality with regard to moving curves. The move function hasn't previously supported moving curves parametric or otherwise. We currently have to employ workarounds of extruding curves to be able to move them or use the transform function if we only need...
  5. MSPBenson

    A better way to open latest revision of a part, using NxOpen/Journal ?

    You can also use the following, this gives the latest revision based on your set revision rules in NX. Dim rev_tag As Tag Dim part_tag As Tag Dim rev_string As String = "" theUFSession.Ugmgr.AskPartTag(part_name, part_tag) ' MsgBox(part_tag)...
  6. MSPBenson

    NX Journal read Attribute from Stock (routing)

    Attributes can be stored against many different types of objects including: Part Body (Sheet or solid) Face Edge etc etc Your code is only looking at the attributes attached to the part file hence the workpart.getuserattribute function. if you wanted to check the attribute of a body you could...
  7. MSPBenson

    Siemens NX 10 - Basic surface trouble

    Phil, I'm not sure if you are aware, but you can step back through the model tree to see how the model is built. If you right click on a feature in the part navigator you will see, about half way down, 'make current feature'. If you make the bridge curve the current feature and then one by one...
  8. MSPBenson

    Siemens NX 10 - Basic surface trouble

    Phil, Although NX can produce surfaces using a point as construction, I would advise avoiding this technique if at all possible. Using a point in a Through Curve mesh can (and often) create surfaces with tiny 'ripples' in them. These surfaces are extremely problematic if you then try to offset...
  9. MSPBenson

    ufs.curve.createSplineThruPts not being displayed

    How are you inputting the points? Text file read in? Do you have your code for how you convert your data into an array? It's a little bit difficult to advise otherwise. A quick guess would be not stripping out the leading spaces in your input but that's a wild stab in the dark :o) Mark Benson...
  10. MSPBenson

    ufs.curve.createSplineThruPts not being displayed

    Try adding something like this: thesession.Parts.Work.ModelingViews.WorkView.Regenerate() Mark Benson Aerodynamic Model Designer To a Designer, the glass was right on CAD.
  11. MSPBenson

    Through mesh curve NX9.0

    A trick I use when I have a section of a facet like this is use the join curve command and then change the output type to advanced. Try increasing the max degree. Change the tolerance to how far out you are prepared your smoothed spline to be from the original facet and see what you can...
  12. MSPBenson

    Layer setting Journal

    For Each obj As DisplayableObject In theSession.Parts.Work.Bodies If obj.GetType.ToString = "NXOpen.Body" Then ' only check object types of body obj.layer = 2 'This moves the object to layer 2 End if Next The code above would cylce through all bodies in the work part ( add the same code...
  13. MSPBenson

    Bring Back the REAL Transform

    To add to the discussion. In some instances we have not lost functionality, but we have lost performance. We regularly use the scale function when creating windtunnel models that are scaled down versions of full size geometry. We do not want/need a parmetric link between these parts due to the...
  14. MSPBenson

    NX 9 - run a journal through a boolean expression

    Would a simpler approach be to always run your journal but have an if sataement cehcking the expression value wrapping your entire routine? That way if Run_journal = False then no action is taken Mark Benson Aerodynamic Model Designer To a Designer, the glass was right on CAD.
  15. MSPBenson

    How to add error handling to partSaveStatus1 = workPart.SaveAs("C:\some.prt")

    you could use: If partSaveStatus1.NumberUnsavedParts > 0 Then 'add error catchement here Else 'carry on with your code End If or Try partSaveStatus1 = workPart.SaveAs(file1) Catch exc As NXException 'add error catchement here, you can use...

Part and Inventory Search